Subject: Re: [PWE3] RFC 5086 : CCS signaling query

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 4 Jan 2012 10:26:38 +0200

Srivatsan hi,
AFAIK, there are no documents that describe encoding of CE application states for telephony applications using CCS.

Regards,
     Sasha

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Srivatsan Raghavan
> Sent: Wednesday, January 04, 2012 9:28 AM
> To: pwe3
> Subject: [PWE3] RFC 5086 : CCS signalling query
> 
> Hi authors
> 
> 
> RFC 5086 states [ in Section 5.3 ] that
> "  Encoding of CE application state for telephony application using CCS    will
> be considered in a separate document. "
> 
> Could the authors point out if a separate document exists for CCS encoding
> ?
> 
> Specifically, should CCS be treated as
> i) pure bearer [ and M bits in CW set to 00 ]  and CCS time slot interpretation
> left to the end points [ to recover SS7 messages etc.], that is intermediate
> nodes doing PW encap/decap need not attach any meaning to CCS
> 
> or
> 
> ii) treated as signaling [ and M bits set to 11 ]
> 
> 
> 
> Thx
> Srivatsan
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3

This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.

---

From: Srivatsan Raghavan <[email-masked]>
Date: Wed, 4 Jan 2012 18:55:39 +0530

Hi Sasha

Thanks for your response. 

Given the fact there is no IETF document which describes the procedure for CCS encoding in CW, is then the general guideline to treat CCS traffic as bearer traffic [ and set M bits to 00 ] ?

Thx
Srivatsan

-----Original Message-----
From: Alexander Vainshtein [mailto:[email-masked]] 
Sent: Wednesday, January 04, 2012 1:57 PM
To: Srivatsan Raghavan; pwe3
Subject: RE: RFC 5086 : CCS signaling query

Srivatsan hi,

Regards,
     Sasha

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 11 Jan 2012 12:38:09 +0200

Srivatsan hi,
I apologize for a delayed response.

My understanding of the context for your question is like following:

- You are using a CESoPSN PW to transport a group of timeslots between a pair of CEs
- These CEs run a telephony application using CCS.

If this is the case, treating the timeslot that carries CCS as the bearer and including it into the same CESoPSN PW *with M bits set to the value that reflects RDI  if necessary) would be clearly OK.
Please note that this is exactly what would happen if you were using a SAToP PW to carry an entire E1 or T1 between the said pair of CEs.
(You would probably want to operate this CESoPSN PW in the mode that emulates fractional E1/T1 to make it as close to a SAToP PW as possible.)

Hopefully this note addresses your concerns.

Regards,
     Sasha

> From: Srivatsan Raghavan [mailto:[email-masked]]
> Sent: Wednesday, January 04, 2012 3:26 PM
> To: Alexander Vainshtein; pwe3
> Given the fact there is no IETF document which describes the procedure for
> CCS encoding in CW, is then the general guideline to treat CCS traffic as
> bearer traffic [ and set M bits to 00 ] ?
> 
> Thx
> Srivatsan
> 
> AFAIK, there are no documents that describe encoding of CE application
> states for telephony applications using CCS.
> 
> Regards,
>      Sasha
> 
> This e-mail message is intended for the recipient only and contains
> information which is CONFIDENTIAL and which may be proprietary to ECI
> Telecom. If you have received this transmission in error, please inform us by
> e-mail, phone or fax, and then delete the original and all copies thereof.
> 
> 
> 
> 
> 
> ===================================================================
> ============
> Please refer to http://www.aricent.com/legal/email_disclaimer.html
> for important disclosures regarding this electronic communication.
> ===================================================================
> ============